The Code I am typing for the problem is:
There are several curves given.I have to select all the curves,then only one cross-sectional area,which is also given.Then all the curves will follow sweep command with that cross-sectional area.
Progress:
I have been only able to copy the cross-sectional area to the curves,but cannot apply addsweep1 to all the curves.I just now want to follow the sweep command for all the curves.I am attaching the figure before and after running the code.Can you apply the sweep1 command for all the curves in the code?
Thank you.
My code:
import rhinoscriptsyntax as rs
ptlst =
rod = rs.GetObjects(“Select rods”,4)
shape = rs.GetObjects(“Select cross sectional area”,4)
shapelst = rs.DivideCurve(shape,1,True,True)
for r in rod:
ptlst += rs.DivideCurve(r,1,True,True)
for i in range(0,len(ptlst),2):
start = shapelst[0]
end = ptlst[i]
translation = end-start
rs.CopyObject(shape, translation )
4 posts - 2 participants